Bug 1343224 - Review Request: xenlism-wildfire - Minimalist theme for your desktop
Summary: Review Request: xenlism-wildfire - Minimalist theme for your desktop
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Dersch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DESIGN-SW LXQt
TreeView+ depends on / blocked
 
Reported: 2016-06-06 20:38 UTC by Raphael Groner
Modified: 2016-06-23 22:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-06-10 02:25:21 UTC
Type: ---
lupinix.fedora: fedora-review+


Attachments (Terms of Use)

Description Raphael Groner 2016-06-06 20:38:06 UTC
Spec URL: https://raphgro.fedorapeople.org/review/design/xenlism-wildfire.spec
SRPM URL: https://raphgro.fedorapeople.org/review/design/xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc24.src.rpm
Description: Minimalist theme for your desktop
Fedora Account System Username: raphgro

Caution! The srpm has 207M in size and therefore is problematic to upload, e.g. koji upload takes hours. Therefore I do some copr builds for the review from carefully uploaded srpm at fedorapeople.org space.

Rawhide builds:
https://copr.fedorainfracloud.org/coprs/raphgro/review/build/330808/
(still waiting / running)

Comment 1 Raphael Groner 2016-06-06 20:45:20 UTC
I would like to propose this as the default icons theme for LXQt.

Comment 2 Christian Dersch 2016-06-07 10:14:39 UTC
Taken :) Looks interesting

Comment 3 Christian Dersch 2016-06-07 10:31:12 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gtk-update-icon-cache is invoked in %postun and %posttrans if package
  contains icons.
  Note: icons in xenlism-wildfire, xenlism-wildfire-day, xenlism-wildfire-
  night, xenlism-wildfire-midnight, xenlism-wildfire-monday, xenlism-
  wildfire-tuesday, xenlism-wildfire-wednesday, xenlism-wildfire-thursday,
  xenlism-wildfire-friday, xenlism-wildfire-saturday, xenlism-wildfire-
  sunday
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

==> IMHO you have to add the scriptlets to each subpackage (main package is
installed *before* subpackage and only main package contains scriptlets)


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 10 files have unknown license. Detailed
     output of licensecheck in /home/review/1343224-xenlism-
     wildfire/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.

===> is noarch as it contains icons etc.

[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in xenlism-
     wildfire-day , xenlism-wildfire-night , xenlism-wildfire-midnight ,
     xenlism-wildfire-monday , xenlism-wildfire-tuesday , xenlism-wildfire-
     wednesday , xenlism-wildfire-thursday , xenlism-wildfire-friday ,
     xenlism-wildfire-saturday , xenlism-wildfire-sunday , xenlism-
     wildfire-backgrounds
===> False positive as we have noarch here

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

====> As already mentioned this is noarch

[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.

===> We have successful copr builds

[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-day-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-night-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-midnight-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-monday-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-tuesday-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-wednesday-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-thursday-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-friday-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-saturday-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-sunday-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-backgrounds-0-0.1.20160511gitd3b9ad2.fc25.noarch.rpm
          xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc25.src.rpm
xenlism-wildfire.noarch: W: spelling-error %description -l en_US svg -> avg, sag, VG
xenlism-wildfire.noarch: W: spelling-error %description -l en_US ai -> AI, a, i
xenlism-wildfire-day.noarch: W: no-documentation
xenlism-wildfire-night.noarch: W: no-documentation
xenlism-wildfire-midnight.noarch: W: no-documentation
xenlism-wildfire-monday.noarch: W: no-documentation
xenlism-wildfire-tuesday.noarch: W: no-documentation
xenlism-wildfire-wednesday.noarch: W: no-documentation
xenlism-wildfire-thursday.noarch: W: no-documentation
xenlism-wildfire-friday.noarch: W: no-documentation
xenlism-wildfire-saturday.noarch: W: no-documentation
xenlism-wildfire-sunday.noarch: W: no-documentation
xenlism-wildfire.src: W: spelling-error %description -l en_US svg -> avg, sag, VG
xenlism-wildfire.src: W: spelling-error %description -l en_US ai -> AI, a, i
13 packages and 0 specfiles checked; 0 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
xenlism-wildfire-day.noarch: W: no-documentation
xenlism-wildfire-sunday.noarch: W: no-documentation
xenlism-wildfire-night.noarch: W: no-documentation
xenlism-wildfire-wednesday.noarch: W: no-documentation
xenlism-wildfire-monday.noarch: W: no-documentation
xenlism-wildfire-saturday.noarch: W: no-documentation
xenlism-wildfire-friday.noarch: W: no-documentation
xenlism-wildfire-thursday.noarch: W: no-documentation
xenlism-wildfire-midnight.noarch: W: no-documentation
xenlism-wildfire.noarch: W: spelling-error %description -l en_US svg -> avg, sag, VG
xenlism-wildfire.noarch: W: spelling-error %description -l en_US ai -> AI, a, i
xenlism-wildfire-tuesday.noarch: W: no-documentation
12 packages and 0 specfiles checked; 0 errors, 12 warnings.



Requires
--------
xenlism-wildfire-day (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire-sunday (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire-night (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire-backgrounds (rpmlib, GLIBC filtered):

xenlism-wildfire-wednesday (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire-monday (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire-saturday (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire-friday (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire-thursday (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire-midnight (rpmlib, GLIBC filtered):
    xenlism-wildfire

xenlism-wildfire (rpmlib, GLIBC filtered):
    /bin/sh

xenlism-wildfire-tuesday (rpmlib, GLIBC filtered):
    xenlism-wildfire



Provides
--------
xenlism-wildfire-day:
    xenlism-wildfire-day

xenlism-wildfire-sunday:
    xenlism-wildfire-sunday

xenlism-wildfire-night:
    xenlism-wildfire-night

xenlism-wildfire-backgrounds:
    xenlism-wildfire-backgrounds

xenlism-wildfire-wednesday:
    xenlism-wildfire-wednesday

xenlism-wildfire-monday:
    xenlism-wildfire-monday

xenlism-wildfire-saturday:
    xenlism-wildfire-saturday

xenlism-wildfire-friday:
    xenlism-wildfire-friday

xenlism-wildfire-thursday:
    xenlism-wildfire-thursday

xenlism-wildfire-midnight:
    xenlism-wildfire-midnight

xenlism-wildfire:
    xenlism-wildfire

xenlism-wildfire-tuesday:
    xenlism-wildfire-tuesday



Source checksums
----------------
https://github.com/xenlism/wildfire/archive/d3b9ad212f14b862e9473126062c5eaf25bd9f55.zip#/xenlism-wildfire-d3b9ad212f14b862e9473126062c5eaf25bd9f55.zip :
  CHECKSUM(SHA256) this package     : 04e6126670600115304b5cad1e6d41f66fe0bf860ca5c3941ccbce2fc0c52679
  CHECKSUM(SHA256) upstream package : 04e6126670600115304b5cad1e6d41f66fe0bf860ca5c3941ccbce2fc0c52679


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -v -m fedora-rawhide-x86_64 -b 1343224
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Christian Dersch 2016-06-07 10:32:27 UTC
As I think you can add the missing scriptlets @import and rest is fine: Approved!

Comment 5 Raphael Groner 2016-06-07 10:48:51 UTC
Scriptlets of main package touch Xenlism-Wildfire* (mind the star character). When main package gets updated, all subpackages are in job, too. All subpackages with icons depend on the main package, an update to any of those subpackages will have a bump to version and|or release, this ensures main package and subpackages receive the same version+release and so the touch action.

Thanks for the review!

Comment 6 Gwyn Ciesla 2016-06-07 19:08:27 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/xenlism-wildfire

Comment 7 Fedora Update System 2016-06-08 08:44:39 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f6141369f

Comment 8 Fedora Update System 2016-06-08 08:44:45 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccd8a281c5

Comment 9 Fedora Update System 2016-06-08 08:44:49 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-958e4584be

Comment 10 Fedora Update System 2016-06-08 17:55:01 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ccd8a281c5

Comment 11 Fedora Update System 2016-06-09 04:48:00 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-958e4584be

Comment 12 Fedora Update System 2016-06-09 04:51:20 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2f6141369f

Comment 13 Fedora Update System 2016-06-10 02:25:19 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-06-18 18:37:55 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-06-23 22:49:03 UTC
xenlism-wildfire-0-0.1.20160511gitd3b9ad2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.